Subject: Re: [PATCH v5 1/3] serial: imx: set_termios(): do not enable autoRTS if RTS is unset

From: Sergey Organov <[email-masked]>
Date: Mon, 22 Jul 2019 16:57:49 +0300

Uwe Kleine-König <[email-masked]> writes:

> On Mon, Jul 22, 2019 at 12:22:08PM +0300, Sergey Organov wrote:
>> Don't let receiver hardware automatically control RTS output if it
>> was requested to be inactive.
>> 
>> To ensure this, set_termios() shouldn't set UCR2_CTSC bit if UCR2_CTS
>> (=TIOCM_RTS) is cleared. Added corresponding check in imx_uart_rts_auto()
>> to fix this.
>> 
>> Reviewed-by: Uwe Kleine-König <[email-masked]>
>
> I think it's a bit bold to add a review-tag for me here. The best reason
> for that that I'm aware of is that I wrote for v4: "[I]f you update the
> commit log as agreed already before and even add a comment in
> imx_uart_rts_auto along the lines of ... you can have my Ack." which IMO
> isn't good enough to justify a "Reviewed-by". I wouldn't even add an
> Acked-by: without the other person being able to actually see the
> changed patch (but this might be arguable).

I'll do whatever you say. Should I remove the Reviewed-by: you, or is it
OK to leave it in, to avoid re-iterating again?

Best Regards,

-- Sergey

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel